Subject: REVIEW: Quantum Fireball 1280A A63 IDE hard drive
From: [email-masked] (Henrik Tikanvaara)
Date: 21 Mar 1996 01:49:31 GMT
Newsgroups: comp.sys.amiga.reviews

PRODUCT NAME

	Quantum Fireball 1280A A63.

BRIEF DESCRIPTION

	A very fast, general 3.5" IDE hard drive that performs very well on
Amiga, specifically on my A1200.

AUTHOR/COMPANY INFORMATION

	Name:		Quantum Corporation
	Address:	500 McCarthy Blvd
			Milpitas, CA 95035
			USA

	Telephone:	408-894-4000, 1 800 624-5545
			Geneva, Switzerland: 41 22 929 9111

	World Wide Web:	http://www.quantum.com/

LIST PRICE

	I don't know the list price, I paid 1390FIM for mine, which was
very reasonable in comparison to other, similar drives.

SPECIAL HARDWARE AND SOFTWARE REQUIREMENTS

	HARDWARE

		For 2.5" IDE interfaces, a 44-to-40 pin IDE connector along
		with a 4-pin standard power connector, as seen on usual
		3.5" drives.

		Some RAM is required by each partition, and fast RAM is
		HIGHLY RECOMMENDED. It will DOUBLE the performance. An
		accelerator will also increase speed.

		I installed the drive internally to my A1200. Since the
		drive is 3.5" in size, this required some "hacking". I
		believe there's a text file on Aminet, which describes this
		procedure.

	SOFTWARE
	
		I had problems getting Amiga to recognize the drive. The
		standard HDToolBox software barely recognized it, and
		crashed after any attempts to configure the drive. I never
		found out why this happened, but everything went fine using
		the Microbotics RDPrep software, available on Aminet.

MACHINE USED FOR TESTING

	A1200, 2 MB Chip RAM, 4 MB Fast RAM
	Blizzard IV 50MHz 68030 accelerator
	Kickstart 39.106, Workbench 39.29
	+ Other irrelevant stuff.

INSTALLATION

	Hardware installation depends on the Amiga model, drive
partitioning and formatting is a breeze with appropriate software.

REVIEW

	The drive gives you 1280 MB of storage, MB=10^6. Fireball is also
very fast, and with the speed and capacity combined, it has been nothing
but pure pleasure to use. Here are different tests, all done directly after
a cold-boot, with only bare necessities of the system loaded up. The drive
seems to work fine with a 16MB MaxTransfer setting, another indication of
quality in design.

	SysInfo, raw read speed:

	Using Fast RAM		2.3MB/s
	Using Chip RAM		1.2MB/s

	I think this highlites the need for Fast RAM pretty well...

	Here are SeekSpeed results. They were performed on a 500MB
partition, so they reflect worst-case performance. Using smaller
partitions, very long seeks will be avoided. In real-world use, this will
not make much of a difference though. There are faster drives in seeking (I
have heard of 9ms average seek times), but you must always look at the real
performance. Thus, these two tests only give some picture of the hardware.

	SeekSpeed V37.12 by Richard Waspe

	Results for device       :   DH1:
	
	Device Driver            :   scsi.device
	CPU                      :   68030
	FPU                      :   No FPU
	AddBuffers               :   20
	
	Total number of Sectors  :   1024126
	Number of Free Sectors   :   462219
	Bytes per Sector         :   512
	
	  Sequential Seek : 
	
	Of  1 Sector  took       :   0.86 mS
	Of  8 Sector  took       :   2.42 mS
	Of 16 Sectors took       :   4.30 mS
	Of 24 Sectors took       :   6.10 mS
	
	  Random Seek of 1 Sector : 
	
	0.10 of Drive width took :   12.03 mS
	0.33 of Drive width took :   12.03 mS
	0.50 of Drive width took :   12.14 mS
	0.90 of Drive width took :   16.27 mS
	
	  Random seek of 8 Sectors : 
	
	0.10 of Drive width took :   12.30 mS
	0.33 of Drive width took :   12.74 mS
	0.50 of Drive width took :   12.38 mS
	0.90 of Drive width took :   17.55 mS

020/14 PROCESSOR SPECIFIC RESULTS

	And now, the most interesting tests, real reads, writes, seeks etc.
on a real file-system. First, here's data for a 020/14 with Fast RAM Amiga:

	MKSoft DiskSpeed 4.2  Copyright ) 1989-92 MKSoft Development
	------------------------------------------------------------
	CPU: 68020  AmigaOS Version: 39.106  Normal Video DMA
	Device:  DH0:    Buffers: 20
	Comments: Quantum Fireball 1280A A63. Unlimited MaxTransfer, no
		  caches, FFS

	CPU Speed Rating: 633

	Testing directory manipulation speed.
	File Create:           43 files/sec  |  CPU Available: 58%
	File Open:            119 files/sec  |  CPU Available: 26%
	Directory Scan:       502 files/sec  |  CPU Available: 2%
	File Delete:          235 files/sec  |  CPU Available: 5%

	Seek/Read:            116 seeks/sec  |  CPU Available: 68%

	Testing with a 512 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:       174398 bytes/sec  |  CPU Available: 16%
	Write to file:     194191 bytes/sec  |  CPU Available: 16%
	Read from file:    294555 bytes/sec  |  CPU Available: 2%

	Testing with a 4096 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:       899584 bytes/sec  |  CPU Available: 1%
	Write to file:    1027072 bytes/sec  |  CPU Available: 1%
	Read from file:   1177088 bytes/sec  |  CPU Available: 7%

	Testing with a 32768 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:      1337719 bytes/sec  |  CPU Available: 2%
	Write to file:    1552384 bytes/sec  |  CPU Available: 1%
	Read from file:   1810432 bytes/sec  |  CPU Available: 7%

	Testing with a 262144 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:      1477772 bytes/sec  |  CPU Available: 3%
	Write to file:    1732373 bytes/sec  |  CPU Available: 1%
	Read from file:   2026549 bytes/sec  |  CPU Available: 8%

	Average CPU Available: 13%  |  CPU Availability index: 82

	This test was done using the above set-up, but with Professional
	File System:

	MKSoft DiskSpeed 4.2  Copyright ) 1989-92 MKSoft Development
	------------------------------------------------------------
	CPU: 68020  AmigaOS Version: 39.106  Normal Video DMA
	Device: DH3:    Buffers: <information unavailable>
	Comments: Quantum Fireball 1280A, unlimited MaxTransfer, no caches,
		  PFS

	CPU Speed Rating: 633

	Testing directory manipulation speed.
	File Create:           35 files/sec  |  CPU Available: 0%
	File Open:            174 files/sec  |  CPU Available: 0%
	Directory Scan:      1320 files/sec  |  CPU Available: 0%
	File Delete:          226 files/sec  |  CPU Available: 0%

	Seek/Read:            100 seeks/sec  |  CPU Available: 69%

	Testing with a 512 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:       157784 bytes/sec  |  CPU Available: 0%
	Write to file:     256223 bytes/sec  |  CPU Available: 0%
	Read from file:    235362 bytes/sec  |  CPU Available: 1%

	Testing with a 4096 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:       391136 bytes/sec  |  CPU Available: 1%
	Write to file:     676864 bytes/sec  |  CPU Available: 1%
	Read from file:    737792 bytes/sec  |  CPU Available: 11%

	Testing with a 32768 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:       688780 bytes/sec  |  CPU Available: 1%
	Write to file:    1243629 bytes/sec  |  CPU Available: 0%
	Read from file:   1433600 bytes/sec  |  CPU Available: 4%

	Testing with a 262144 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:      1067994 bytes/sec  |  CPU Available: 0%
	Write to file:    1349270 bytes/sec  |  CPU Available: 0%
	Read from file:   1570900 bytes/sec  |  CPU Available: 3%

	Average CPU Available: 5%  |  CPU Availability index: 32

030/50 PROCESSOR SPECIFIC RESULTS

	Here is a 030/50, Fast RAM, FFS test. I'd like to point out that
performance gets closer to the absolute hardware limit, than with the
slower set-up. There's also a 60% speed increase in directory scanning,
amongst other things:

	MKSoft DiskSpeed 4.2  Copyright ) 1989-92 MKSoft Development
	------------------------------------------------------------
	CPU: 68030  AmigaOS Version: 39.106  Normal Video DMA
	Device:  DH1:    Buffers: 20
	Comments: 030 @ 50MHz, FFS, full MaxTransfer, no caches.

	CPU Speed Rating: 2742

	Testing directory manipulation speed.
	File Create:           42 files/sec  |  CPU Available: 76%
	File Open:            165 files/sec  |  CPU Available: 36%
	Directory Scan:       822 files/sec  |  CPU Available: 3%
	File Delete:          455 files/sec  |  CPU Available: 7%

	Seek/Read:            118 seeks/sec  |  CPU Available: 79%

	Testing with a 512 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:       253088 bytes/sec  |  CPU Available: 22%
	Write to file:     269440 bytes/sec  |  CPU Available: 22%
	Read from file:    454336 bytes/sec  |  CPU Available: 3%

	Testing with a 4096 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:      1171968 bytes/sec  |  CPU Available: 8%
	Write to file:    1356800 bytes/sec  |  CPU Available: 2%
	Read from file:   1473024 bytes/sec  |  CPU Available: 9%

	Testing with a 32768 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:      1474968 bytes/sec  |  CPU Available: 14%
	Write to file:    1854946 bytes/sec  |  CPU Available: 2%
	Read from file:   1963625 bytes/sec  |  CPU Available: 10%

	Testing with a 262144 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:      1802240 bytes/sec  |  CPU Available: 3%
	Write to file:    2018997 bytes/sec  |  CPU Available: 1%
	Read from file:   2143928 bytes/sec  |  CPU Available: 10%

	Average CPU Available: 18%  |  CPU Availability index: 493

	And now the Professional File System test with the same set-up:

	MKSoft DiskSpeed 4.2  Copyright ) 1989-92 MKSoft Development
	------------------------------------------------------------
	CPU: 68030  AmigaOS Version: 39.106  Normal Video DMA
	Device: DH3:    Buffers: <information unavailable>
	Comments: 030 @ 50MHz, PFS, full MaxTransfer, no caches.

	CPU Speed Rating: 2742

	Testing directory manipulation speed.
	File Create:          101 files/sec  |  CPU Available: 0%
	File Open:            362 files/sec  |  CPU Available: 0%
	Directory Scan:      2450 files/sec  |  CPU Available: 0%
	File Delete:          576 files/sec  |  CPU Available: 0%

	Seek/Read:            107 seeks/sec  |  CPU Available: 78%

	Testing with a 512 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:       299264 bytes/sec  |  CPU Available: 0%
	Write to file:     415628 bytes/sec  |  CPU Available: 0%
	Read from file:    350868 bytes/sec  |  CPU Available: 5%

	Testing with a 4096 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:       763392 bytes/sec  |  CPU Available: 1%
	Write to file:     949760 bytes/sec  |  CPU Available: 5%
	Read from file:    785408 bytes/sec  |  CPU Available: 34%

	Testing with a 32768 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:      1114030 bytes/sec  |  CPU Available: 3%
	Write to file:    1576960 bytes/sec  |  CPU Available: 5%
	Read from file:   1476809 bytes/sec  |  CPU Available: 23%

	Testing with a 262144 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:      1246782 bytes/sec  |  CPU Available: 4%
	Write to file:    1769472 bytes/sec  |  CPU Available: 1%
	Read from file:   1966886 bytes/sec  |  CPU Available: 4%

	Average CPU Available: 10%  |  CPU Availability index: 274

QUANTUM INFORMATION

	The Quantum web-site contains huge amounts of information on many
of their products, including the Fireball. If you have access to a
web-browser, it's a good idea to check it out!

DOCUMENTATION

	The drive came with no documentation, as usually is the case with
IDE/PC hard drives.

LIKES

	This drive is a real performer! I have never heard of such a fast
IDE drive, and the capacity should satisfy even the most space-hungry
applications. All smaller reads and writes happen in a flash. =) At first,
everything felt as though I had the system running from RAM. C compiling
and unpacking archives are the things that you really notice the
performance with.

DISLIKES AND SUGGESTIONS

	Before buying the Blizzard accelerator, the drive had the usual
"spin-up problem", that is, a reset was needed to make it boot after
turning on the computer. But Blizzard delays boot-up by a second or two,
and this somehow fixes the problem. I now believe the fault is in the Amiga
OS, not in the drives.

	I have no real dislikes, but the idea of user control over the
cache features crossed my mind...

COMPARISON TO OTHER SIMILAR PRODUCTS

	This drive seems to be amongst the fastest, if not THE fastest IDE
drive currently in the market. No, calling it the fastest is probably going
too far, but I would like to hear about any other drives which perform
similarly. Even the Western Digital Caviar drives seem to be slower, though
they are generally regarded as very fast.. I am wondering whether the IDE
interface used in Amiga 1200 and 4000 is becoming a bottle-neck.

BUGS

	None. ;)

VENDOR SUPPORT

	I have needed no vendor support, hopefully and probably never will.

WARRANTY

	"* This warranty is standard when products are purchased directly
through authorized Quantum distributors/dealers. Unless otherwise agreed, a
one-year warranty is provided to all OEMs purchasing directly from Quantum.
End-user warranties provided by computer manufacturers."

CONCLUSIONS

	I think this drive pushes the IDE system pretty well to its limits,
to get a better performance, you'd certainly need to use some high quality
SCSI drive interface coupled with a high quality SCSI hard drive. But then
comes the question of money, remember that on top of all, this drive was
also quite cheap.

	Nothing less than 5 full stars will suffice.

ADDITIONAL MEMORY-ALIGNMENT SPECIFIC RESULTS

	This is something you don't need to read, unless you really are
interested:

	I noticed that Fireball benefits from 32-bit aligned, Fast RAM a
LOT. I suspect it has to do with DMA, but I'm only happy to see it - the
drive has been designed to take advantage of a good host system. My old
Toshiba 2.5" drive performed the same, whether Chip or Fast RAM, or
32/16-bit memory alignment. Only 8-bit alignment caused performance loss,
after which the Toshiba drive was DEAD SLOW.

	Anyway, here are full DiskSpeed results, with all possible
alignments and memory types. Check out MEMF_CHIP, byte alignment write. ;)

	MKSoft DiskSpeed 4.2  Copyright ) 1989-92 MKSoft Development
	------------------------------------------------------------
	CPU: 68030  AmigaOS Version: 39.106  Normal Video DMA
	Device:  DH1:    Buffers: 20
	Comments: How different memory alignments affect Fireball
		  performance.

	CPU Speed Rating: 2728

	Testing with a 512 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:       191592 bytes/sec  |  CPU Available: 18%
	Write to file:     203814 bytes/sec  |  CPU Available: 19%
	Read from file:    327063 bytes/sec  |  CPU Available: 2%
	
	Testing with a 4096 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:      1013785 bytes/sec  |  CPU Available: 3%
	Write to file:    1142784 bytes/sec  |  CPU Available: 2%
	Read from file:   1242112 bytes/sec  |  CPU Available: 9%
	
	Testing with a 32768 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:      1316425 bytes/sec  |  CPU Available: 17%
	Write to file:    1738626 bytes/sec  |  CPU Available: 2%
	Read from file:   1779535 bytes/sec  |  CPU Available: 12%
	
	Testing with a 262144 byte, MEMF_FAST, LONG-aligned buffer.
	Create file:      1676689 bytes/sec  |  CPU Available: 5%
	Write to file:    1979057 bytes/sec  |  CPU Available: 0%
	Read from file:   2138628 bytes/sec  |  CPU Available: 6%
	
	Testing with a 512 byte, MEMF_FAST, WORD-aligned buffer.
	Create file:       185402 bytes/sec  |  CPU Available: 18%
	Write to file:      84981 bytes/sec  |  CPU Available: 45%
	Read from file:    300288 bytes/sec  |  CPU Available: 2%
	
	Testing with a 4096 byte, MEMF_FAST, WORD-aligned buffer.
	Create file:       245248 bytes/sec  |  CPU Available: 27%
	Write to file:     116488 bytes/sec  |  CPU Available: 38%
	Read from file:    433338 bytes/sec  |  CPU Available: 2%
	
	Testing with a 32768 byte, MEMF_FAST, WORD-aligned buffer.
	Create file:       248643 bytes/sec  |  CPU Available: 29%
	Write to file:     117797 bytes/sec  |  CPU Available: 40%
	Read from file:    455732 bytes/sec  |  CPU Available: 3%
	
	Testing with a 262144 byte, MEMF_FAST, WORD-aligned buffer.
	Create file:       259003 bytes/sec  |  CPU Available: 27%
	Write to file:     118443 bytes/sec  |  CPU Available: 39%
	Read from file:    427740 bytes/sec  |  CPU Available: 9%
	
	Testing with a 512 byte, MEMF_FAST, BYTE-aligned buffer.
	Create file:       180073 bytes/sec  |  CPU Available: 18%
	Write to file:      97523 bytes/sec  |  CPU Available: 35%
	Read from file:    288155 bytes/sec  |  CPU Available: 2%
	
	Testing with a 4096 byte, MEMF_FAST, BYTE-aligned buffer.
	Create file:       233750 bytes/sec  |  CPU Available: 26%
	Write to file:     114076 bytes/sec  |  CPU Available: 38%
	Read from file:    405965 bytes/sec  |  CPU Available: 2%
	
	Testing with a 32768 byte, MEMF_FAST, BYTE-aligned buffer.
	Create file:       238415 bytes/sec  |  CPU Available: 27%
	Write to file:     114387 bytes/sec  |  CPU Available: 39%
	Read from file:    383203 bytes/sec  |  CPU Available: 11%
	
	Testing with a 262144 byte, MEMF_FAST, BYTE-aligned buffer.
	Create file:       244822 bytes/sec  |  CPU Available: 27%
	Write to file:     115954 bytes/sec  |  CPU Available: 39%
	Read from file:    404831 bytes/sec  |  CPU Available: 8%
	
	Testing with a 512 byte, MEMF_CHIP, LONG-aligned buffer.
	Create file:       186688 bytes/sec  |  CPU Available: 14%
	Write to file:     209024 bytes/sec  |  CPU Available: 11%
	Read from file:    290075 bytes/sec  |  CPU Available: 2%
	
	Testing with a 4096 byte, MEMF_CHIP, LONG-aligned buffer.
	Create file:       782848 bytes/sec  |  CPU Available: 1%
	Write to file:     848347 bytes/sec  |  CPU Available: 1%
	Read from file:    841728 bytes/sec  |  CPU Available: 6%
	
	Testing with a 32768 byte, MEMF_CHIP, LONG-aligned buffer.
	Create file:      1044480 bytes/sec  |  CPU Available: 2%
	Write to file:    1137266 bytes/sec  |  CPU Available: 1%
	Read from file:   1066390 bytes/sec  |  CPU Available: 6%
	
	Testing with a 262144 byte, MEMF_CHIP, LONG-aligned buffer.
	Create file:      1123015 bytes/sec  |  CPU Available: 2%
	Write to file:    1223768 bytes/sec  |  CPU Available: 0%
	Read from file:   1176706 bytes/sec  |  CPU Available: 3%
	
	Testing with a 512 byte, MEMF_CHIP, WORD-aligned buffer.
	Create file:       176211 bytes/sec  |  CPU Available: 18%
	Write to file:     106034 bytes/sec  |  CPU Available: 28%
	Read from file:    282460 bytes/sec  |  CPU Available: 1%
	
	Testing with a 4096 byte, MEMF_CHIP, WORD-aligned buffer.
	Create file:       228261 bytes/sec  |  CPU Available: 26%
	Write to file:     115495 bytes/sec  |  CPU Available: 36%
	Read from file:    392872 bytes/sec  |  CPU Available: 2%
	
	Testing with a 32768 byte, MEMF_CHIP, WORD-aligned buffer.
	Create file:       226712 bytes/sec  |  CPU Available: 26%
	Write to file:     112027 bytes/sec  |  CPU Available: 39%
	Read from file:    413024 bytes/sec  |  CPU Available: 2%
	
	Testing with a 262144 byte, MEMF_CHIP, WORD-aligned buffer.
	Create file:       238015 bytes/sec  |  CPU Available: 27%
	Write to file:     107205 bytes/sec  |  CPU Available: 42%
	Read from file:    386026 bytes/sec  |  CPU Available: 9%
	
	Testing with a 512 byte, MEMF_CHIP, BYTE-aligned buffer.
	Create file:       162775 bytes/sec  |  CPU Available: 16%
	Write to file:      94800 bytes/sec  |  CPU Available: 31%
	Read from file:    241889 bytes/sec  |  CPU Available: 2%
	
	Testing with a 4096 byte, MEMF_CHIP, BYTE-aligned buffer.
	Create file:       200653 bytes/sec  |  CPU Available: 23%
	Write to file:     107038 bytes/sec  |  CPU Available: 35%
	Read from file:    322547 bytes/sec  |  CPU Available: 1%
	
	Testing with a 32768 byte, MEMF_CHIP, BYTE-aligned buffer.
	Create file:       203023 bytes/sec  |  CPU Available: 25%
	Write to file:     101650 bytes/sec  |  CPU Available: 39%
	Read from file:    335536 bytes/sec  |  CPU Available: 1%
	
	Testing with a 262144 byte, MEMF_CHIP, BYTE-aligned buffer.
	Create file:       205281 bytes/sec  |  CPU Available: 24%
	Write to file:     103891 bytes/sec  |  CPU Available: 37%
	Read from file:    314774 bytes/sec  |  CPU Available: 8%
	
	Average CPU Available: 17%  |  CPU Availability index: 464

COPYRIGHT NOTICE

	Copyright 1996 Henrik Tikanvaara
	[email-masked]

---

   Accepted and posted by Daniel Barrett, comp.sys.amiga.reviews moderator
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   Moderator mail:	[email-masked]
   Anonymous ftp site:  math.uh.edu, in /pub/Amiga/comp.sys.amiga.reviews